<app-loading *ngIf="isLoadingPage"></app-loading>
<div nz-row [nzGutter]="[30, 10]" class="content" *ngIf="objFunction.approve">
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'polManagement.label.approval' | translate}}"
      (click)="approvalItem(actionUser.APPROVE)"
    ></mb-button>
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'polManagement.label.approvalAll' | translate}}"
      (click)="approvalAllItem(actionUser.APPROVE)"
    ></mb-button>
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'polManagement.label.reject' | translate}}"
      (click)="approvalItem(actionUser.REJECT)"
    ></mb-button>
</div>

<!--form search-->
<div id='exception-allowances-approval' class="content__item content__item--border bg__content--default">
  <form nz-form [formGroup]="form" scroll-spy>
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col nzXs="11" nzLg="6">
        <hcm-mfe-employee-data-search-policy [mbCanText]="true"
                                             [mbType]="isSubmitted && f['employeeId'].errors ? 'error' : 'default'"
                                             mbLabelText="{{'polManagement.table.employeeCode' | translate}}"
                                             [formControlName]="'employeeId'"
                                             [functionCode]="functionCode"
                                             (selectedChange)="onChange($event)"
        >

        </hcm-mfe-employee-data-search-policy>
      </div>
      <div nz-col nzXs="11" nzLg="6">
        <mb-input-text
          mbType="default"
          [mbMaxLength]="50"
          [defaultInput]="true"
          (mbClick)="showModalOrg($event)"
          mbPlaceholderText=""
          mbLabelText="{{'polManagement.table.orgName' | translate}}"
          [mbReadOnly]="true"
          formControlName="orgName"
        >
        </mb-input-text>
        <em
          *ngIf="form.value?.orgName"
          nz-icon
          class="allowance-dev-card__left__icon"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
      </div>
      <div nz-col nzXs="11" nzLg="6">
        <mb-select [mbDataSelects]="dataResponseListUserInput" mbKeyLabel="createdBy"
                   mbKeyValue="prAllowanceExtendListId"
                   [mbType]="isSubmitted && f['createdBy'].errors ? 'error' : 'default'"
                   formControlName="createdBy"

                   mbLabelText="{{'User nhập liệu' | translate}}"
        ></mb-select>
      </div>
    </div>


  </form>
  <div class="main-job-card__button-search">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)='doSearch()'
               mbButtonText="{{'common.button.search' | translate}}">
    </mb-button>
  </div>
  <div nz-col nzSpan="24" class="main-job-card__left">
    <mb-input-text mbType="default" [mbMaxLength]="250" [defaultInput]="true"
                   mbLabelText="{{ 'polManagement.label.reasonApprove' | translate }}"
                   [mbIsTextAre]="true"
                   [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true" [mbIsTextAreAutoResize]="true"
                   [(ngModel)]="reasonApproval"
                   [mbShowError]="flagStatus"
                   [mbErrors]="{required: true}"
                   [mbType]="flagStatus ? 'error' : 'default'"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Bạn phải nhập lý do để hoàn thiện thao tác từ chối'}]"
    >
    </mb-input-text>
  </div>
</div>

<!--end form search-->
<section class="wrap-table">
  <mb-table-wrap>
    <mb-table
      [heightTable]="heightTable"
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</section>



<ng-template #selectTmpl let-status='status' let-prAllowanceExtendListId='prAllowanceExtendListId'
             let-employeeCode='employeeCode'>
  <input type="checkbox"
         [value]="prAllowanceExtendListId"
         [checked]="listRegisterId.indexOf(prAllowanceExtendListId) > -1"
         (change)="onCheckChange($event,status,prAllowanceExtendListId)"
  >
</ng-template>
<ng-template #actionFlagStatus let-flagStatus="flagStatus">
  <nz-tag [nzColor]="renderFlagStatus(flagStatus).class">
    {{renderFlagStatus(flagStatus).text}}
  </nz-tag>
</ng-template>
<ng-template #tplTranFormDate let-fromDate="fromDate">
  {{ fromDate | dateFormat}}
</ng-template>
<ng-template #tplTranToDate let-toDate="toDate">
  {{ toDate | dateFormat}}
</ng-template>

